Bug 6806 - [Update Request] owncloud
: [Update Request] owncloud
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Contributed Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
https://owncloud.org/changelog/
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-06 05:19 MSK by Zombie Ryushu
Modified: 2017-02-27 01:39 MSK (History)
3 users (show)

See Also:
RPM Package: owncloud
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Zombie Ryushu 2016-03-06 05:19:06 MSK
Exception: Updates between multiple major versions and downgrades are unsupported.

Attempting to upgrade between 8.1.5 and 8.2.2 resulted in this.
Comment 1 Zombie Ryushu 2016-03-08 02:44:08 MSK
I've had a few errors since my OwnCloud upgrade.

I can no longer view ODS or ODP files in OwnCloud itself using the included Document plugin. This is a documented issue with the plugin

https://github.com/owncloud/documents/issues/582
Comment 2 Zombie Ryushu 2016-03-08 02:57:41 MSK
The Kodi plugin for OwnCloud makes Apache throw internal server errors. Not sure why. Kodi plugin version is 0.4.11
Comment 3 Denis Silakov 2016-03-10 18:57:39 MSK
I see that owncloud has been updated to 9.0.0 in the meantime. Do you experience the same issues with this new version?
Comment 4 Zombie Ryushu 2016-03-10 19:40:19 MSK
(In reply to comment #3)
> I see that owncloud has been updated to 9.0.0 in the meantime. Do you
> experience the same issues with this new version?

The version error was fixed by altering the version ID in the config.php file to 8.1.5, when it was set to 8.0.9. I'm not sure why this was the case. 

A Documents plugin error was fixed by upgrading the Documents to 0.12.0 out-of tree. Version 8.1.5 came with (0.11.0) did not have this issue, ODS and ODP files would not display.

That leaves only the Kodi plugin error.
Comment 5 Zombie Ryushu 2016-03-10 20:46:09 MSK
I found out that the Kodi plugin does not support 9.0
Comment 6 Zombie Ryushu 2017-02-20 04:05:11 MSK
Version 9.1.4 Feb 2 2017

    [major] Make error message for password reset form more generic - core/#27011
    [major] When sharing autocomplete is disabled, also disable for the email field - core/#26504
    [major] Add command to clean up invalid/expired remote storages - core/#26379
    [major] Fix encryption key storage when using LDAP home folder rules - core/#26820
    [major] Properly react on memcache errors - core/#25692
    [major] Fix random normalizedPathCache log messages / garbage collection issues from PHP 7 - core/#22370
    [major] Properly deal with inconsistent LDAP/memcache or user/group manager responses - core/#26871
    [major] Added configreport app which will help with better bug reports - configreport/#6
    [minor] Fix syncing of file names with colon followed by a number - core/#25479
    [minor] Prevent empty user uid from LDAP - user_ldap/#6
    [minor] Prevent repeated log messages when dealing with broken picture files - core/#26758
    [minor] Fix group-enable option in apps page when memcache is enabled - core/#26638
    [minor] Add AVMaxFileSize config option - files_antivirus/#133
    [minor] Reduce number of federated share requests when dealing with non-existing entries - core/#26324
    [minor] Remove obsolete legacy storage repair routine - core/#26774
    [minor] Fix broken remote avatar image in activities tab - activity/#529
    [minor] When grouping duplicate shares, sort by stime then id - core/#25830
    [minor] Make file upload post hooks consistent between chunking and non-chunking mode - core/#26387
    [minor] Fix wrong German translation in upload progress bar by using momentjs library - core/#26804
    [minor] Skip unavailable storages in background file scan instead of failing - core/#26055
    [minor] Update PHP 7.1 incompatibility warning - core/#26982
    [minor] Warning notification when uploading 4+ GB file in IE11 - core/#27004
Comment 7 Denis Silakov 2017-02-27 01:39:01 MSK
Owncloud 9.1.4 has been built.